Page MenuHomePhabricator

OO.ui.PopupWidget.toggle triggers recalc style
Closed, ResolvedPublic8 Estimated Story Points

Description

Need to determine visibility on our own so that we don't require on getComputedStyle.

Event Timeline

ori created this task.Jan 23 2015, 7:43 AM
ori raised the priority of this task from to Needs Triage.
ori updated the task description. (Show Details)
ori added subscribers: ori, matmarex, Catrope, Krinkle.
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 23 2015, 7:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF triaged this task as High priority.Jan 23 2015, 9:56 PM
Jdforrester-WMF moved this task from To Triage to Bug Fixes on the VisualEditor board.
Jdforrester-WMF edited a custom field.
gerritbot added a subscriber: gerritbot.

Change 187614 had a related patch set uploaded (by Mooeypoo):
[BREAKING CHANGE] Use css class instead of jQuery .show()/hide()/toggle()

https://gerrit.wikimedia.org/r/187614

Patch-For-Review

Change 187618 had a related patch set uploaded (by Mooeypoo):
Use css class instead of jquery show/hide

https://gerrit.wikimedia.org/r/187618

Patch-For-Review

Mooeypoo claimed this task.Feb 2 2015, 7:30 PM
Jdforrester-WMF edited a custom field.Feb 2 2015, 8:07 PM
Mooeypoo moved this task from Bug Fixes to Blocked on the VisualEditor board.Feb 2 2015, 9:40 PM

Change 187614 merged by jenkins-bot:
Use css class instead of jQuery .show()/hide()/toggle()

https://gerrit.wikimedia.org/r/187614

Jdforrester-WMF closed this task as Resolved.Feb 2 2015, 11:44 PM
Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Feb 5 2015, 1:08 AM

Change 187617 had a related patch set uploaded (by Mooeypoo):
Use css class rather than jQuery show/hide

https://gerrit.wikimedia.org/r/187617

Patch-For-Review

Change 187618 merged by jenkins-bot:
Use css class instead of jquery show/hide

https://gerrit.wikimedia.org/r/187618

Change 187617 merged by jenkins-bot:
Use css class rather than jQuery show/hide

https://gerrit.wikimedia.org/r/187617

Change 189144 had a related patch set uploaded (by Catrope):
Use css class instead of jquery show/hide

https://gerrit.wikimedia.org/r/189144

Patch-For-Review

Change 189144 merged by jenkins-bot:
Use css class instead of jquery show/hide

https://gerrit.wikimedia.org/r/189144

ori moved this task from Next up to Doing on the VisualEditor-Performance board.Feb 21 2015, 6:12 AM
ori moved this task from Doing to Done on the VisualEditor-Performance board.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:56 PM